org.vishia.gral.ifc

## Interface GralVisibleWidgets_ifc

- All Known Implementing Classes:
    GralTabbedPanel

      public interface GralVisibleWidgets_ifc

  This interface should be implemented by all classes, which presents some Graphical Panels, which may be visible or not. Especially it is for `GralTabbedPanel`, which shows only one Tab to one time. But any Window can be visible or not too. The

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `version` Version, history and license.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<GralWidget>` | `getWidgetsVisible()` Gets the list of all widgets which are visible yet and should be updated with values therefore.

- - ### Field Detail

    - #### version

          static final int version

      Version, history and license.
      - 2011-06-00 Hartmut created
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getWidgetsVisible

          java.util.List<GralWidget> getWidgetsVisible()

      Gets the list of all widgets which are visible yet and should be updated with values therefore.
      Returns:
        The list.